Bug 255554 - net/self-service-password: add run depends
Summary: net/self-service-password: add run depends
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-02 20:22 UTC by Krzysztof
Modified: 2021-05-05 08:34 UTC (History)
1 user (show)

See Also:


Attachments
self-service-password patch (1.98 KB, patch)
2021-05-02 20:22 UTC, Krzysztof
ports: maintainer-approval+
Details | Diff
self-service-password poudriere log (30.80 KB, text/plain)
2021-05-02 20:22 UTC, Krzysztof
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2021-05-02 20:22:08 UTC
Created attachment 224617 [details]
self-service-password patch

Hello,

Last week I've updated net/self-service-password to new version. Unfortunatelly I did not noticed that I should add www/smarty3 as run dependency. Also there are some changes to web server configuration (pkg-message.in).

So I've made a patch which corrects these missed elements. Also I've bumped port revision (I think it should be done).

New version of port was tested with poudriere, so logfile is also attached.
Comment 1 Krzysztof 2021-05-02 20:22:37 UTC
Created attachment 224618 [details]
self-service-password poudriere log
Comment 2 commit-hook freebsd_committer 2021-05-05 08:34:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b112172fafc321675b6f822f6cc93b01cd73d10d

commit b112172fafc321675b6f822f6cc93b01cd73d10d
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-05-04 06:25:41 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-05-05 08:29:31 +0000

    net/self-service-password: add missing run dependency

    Add www/smarty3 as run dependency
    While here, pet linters

    PR:     255554
    Reported by:    ports@bsdserwis.com (maintainer)

 net/self-service-password/Makefile             | 16 +++++++++++-----
 net/self-service-password/files/pkg-message.in |  8 ++++----
 2 files changed, 15 insertions(+), 9 deletions(-)
Comment 3 Fernando Apesteguía freebsd_committer 2021-05-05 08:34:37 UTC
Committed,

Thanks!